Subject: Re: bug#34112: Guix 0.16.0-8 FTBFS: ">>= (bind) used outside of 'with-monad'"

From: Mark H Weaver <[email-masked]>
Date: Wed, 16 Jan 2019 23:03:46 -0500

Mark H Weaver <[email-masked]> writes:

> In the most recent evaluation of 'master' on hydra.gnu.org (eval 110393,
> corresponding to git commit 5327e912a8a477e472da9ec03c99cdedcc04af75),
> the 'guix' package failed to build on x86_64, with the following error:
>
> guix/hg-download.scm:93:2: >>=: >>= (bind) used outside of 'with-monad' in form (>>= (package->derivation guile system) (lambda (t-2c116650a85e261-45a) (mlet* %store-monad () (let ((guile t-2c116650a85e261-45a)) (gexp->derivation (or name "hg-checkout") build #:system system #:local-build? #t #:hash-algo hash-algo #:hash hash #:recursive? #t #:guile-for-build guile)))))
>
>
> I suspect that this error is non-deterministic, so I restarted the build
> after saving a copy of the failed build log.

The error is indeed non-deterministic.  However, the second attempt also
failed, due to a failed test.  <https://hydra.gnu.org/build/3338940>

  FAIL: tests/processes
  =====================

  random seed for tests: 1547688217
  substitute: warning: authentication and authorization of substitutes disabled!
  substitute: guix substitute: warning: ACL for archive imports seems to be uninitialized, substitutes may be unavailable
  building path(s) `/tmp/guix-tests/store/9zba58k4br08dvfy9f1djwy49gh03d8z-foo'
  test-name: not a client
  location: /tmp/guix-build-guix-0.16.0-8.7ba2b27.drv-0/source/tests/processes.scm:37
  source:
  + (test-assert
  +   "not a client"
  +   (not (find (lambda (session)
  +                (= (getpid)
  +                   (process-id (daemon-session-client session))))
  +              (daemon-sessions))))
  actual-value: #f
  actual-error:
  + (wrong-type-arg
  +   "struct_vtable"
  +   "Wrong type argument in position ~A (expecting ~A): ~S"
  +   (1 "struct" #f)
  +   (#f))
  result: FAIL

I'll restart it again, in hope that the third attempt will succeed.

       Mark